package main

import (
	"log"
	"studia/internal/config"
	"studia/internal/server"
)

func main() {

	cfg := config.New()

	cfg.DatabaseHost = "192.168.178.171"
	cfg.DatabasePort = "5432"
	cfg.DatabaseUser = "admin"
	cfg.DatabasePassword = "12345678"
	cfg.DatabaseName = "studia"

	log.Println("Configuration loaded:", cfg)

	log.Println("Starting server...")
	server.StartServer(cfg)
}
